---
title: MediaTrackSettings.volume
slug: Web/API/MediaTrackSettings/volume
tags:
  - API
  - Audio
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - MediaTrackSettings
  - Property
  - Reference
  - Volume
  - WebRTC
---
<div>{{APIRef("Media Capture and Streams")}}{{obsolete_header}}</div>

<p>The {{domxref("MediaTrackSettings")}} dictionary's <code><strong>volume</strong></code> property is a double-precision floating-point number indicating the volume of the {{domxref("MediaStreamTrack")}} as currently configured, as a value from 0.0 (silence) to 1.0 (maximum supported volume for the device). This lets you determine what value was selected to comply with your specified constraints for this property's value as described in the {{domxref("MediaTrackConstraints.volume")}} property you provided when calling either {{domxref("MediaDevices.getUserMedia", "getUserMedia()")}} or {{domxref("MediaStreamTrack.applyConstraints()")}}.</p>

<p>If needed, you can determine whether or not this constraint is supported by checking the value of {{domxref("MediaTrackSupportedConstraints.volume")}} as returned by a call to {{domxref("MediaDevices.getSupportedConstraints()")}}. However, typically this is unnecessary since browsers will ignore any constraints they're unfamiliar with.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>volume</em> = <em>MediaTrackSettings</em>.volume;
</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point number indicating the volume, from 0.0 to 1.0, of the audio track as currently configured.</p>

<h2 id="Example">Example</h2>

<p>See {{SectionOnPage("/en-US/docs/Web/API/Media_Streams_API/Constraints", "Example: Constraint exerciser")}} for an example.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaTrackSettings.volume")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a></li>
 <li>{{domxref("MediaTrackConstraints.volume")}}</li>
 <li>{{domxref("MediaTrackSettings")}}</li>
</ul>
